%define libupnpso 3
%define libixmlso 2
%define libthreadutilso 2

Name:           libupnp
Group:          System/Libraries
Summary:        Portable Universal Plug and Play (UPnP)
Version:        1.6.6
Release:        1.4
Source:         %name-%version.tar.bz2
License:        GPL v2 or later; LGPL v2.1 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The portable SDK for UPnP™ Devices (libupnp) provides developers with an API and open source code for building control points, devices, and bridges that are compliant with Version 1.0 of the  Universal Plug and Play Device Architecture Specification  and support several operating systems like Linux, *BSD, Solaris and others. 

%package devel 
Summary: Portable Universal Plug and Play (UPnP) - Development headers
Group: Development/Libraries/C and C++
Requires: %{name}%{libupnpso} = %{version}

%description devel
The portable SDK for UPnP™ Devices (libupnp) provides developers with an API and open source code for building control points, devices, and bridges that are compliant with Version 1.0 of the  Universal Plug and Play Device Architecture Specification  and support several operating systems like Linux, *BSD, Solaris and others. 

%package -n %{name}%{libupnpso}           
Summary: Portable Universal Plug and Play (UPnP) - Shared library
Group: System/Libraries

%description -n %{name}%{libupnpso}
The portable SDK for UPnP™ Devices (libupnp) provides developers with an API and open source code for building control points, devices, and bridges that are compliant with Version 1.0 of the  Universal Plug and Play Device Architecture Specification  and support several operating systems like Linux, *BSD, Solaris and others. 

%prep
%setup -q

%build
%configure --disable-static
make

%install
%makeinstall
find $RPM_BUILD_ROOT -type f -name *.la -exec rm {} \;

%post -n %{name}%{libupnpso}
/sbin/ldconfig

%postun -n %{name}%{libupnpso}
/sbin/ldconfig


%files -n %{name}%{libupnpso}
%defattr(-, root, root)
%{_libdir}/%{name}.so.%{libupnpso}
%{_libdir}/%{name}.so.%{libupnpso}.*
%{_libdir}/libixml.so.%{libixmlso}
%{_libdir}/libixml.so.%{libixmlso}.*
%{_libdir}/libthreadutil.so.%{libthreadutilso}
%{_libdir}/libthreadutil.so.%{libthreadutilso}.*

%files devel
%defattr(-, root, root)
%{_includedir}/upnp
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so
%{_libdir}/libixml.so
%{_libdir}/libthreadutil.so


%changelog
* Sat May  2 2009 dominique-vlc.suse@leuenberger.net
- Initial package of libupnp 1.6.6, as dependency for VLC
